Skip to main content
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.updateVaultAccountAssetAddress(vaultsApiUpdateVaultAccountAssetAddressRequest);
{
  "success": true
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

assetId
string
required

The ID of the asset

addressId
string
required

The address for which to add a description. For XRP, use

:, for all other assets, use only the address

Body

application/json
description
string

The address description

Response

OK

success
boolean